# $Revision: 1.17 $, $Date: 2007/02/12 22:09:12 $
%define		_modname	big_int
%define		_status		stable
Summary:	%{_modname} - set of functions for calculations with arbitrary length integers
Summary(pl.UTF-8):	%{_modname} - zestaw funkcji do obliczeń z użyciem liczb o dowolnej wielkości
Name:		php-pecl-%{_modname}
Version:	1.0.7
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	d858d5bcfd3f789cb1ae8cb8ff09d3e9
URL:		http://pecl.php.net/package/big_int/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is useful for number theory applications. For example, in
two-keys cryptography. See tests/RSA.php in the package for example of
implementation of RSA-like cryptoalgorithm.

Also the package has many bitset functions, which allow to work with
arbitrary length bitsets.

This package is much faster than bundled into PHP BCMath. It
implements almost all functions as in GMP extension, but it needn't
any additional external libraries.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Ten pakiet jest przydatny do zastosowań z teorii liczb, na przykład do
kryptografii z użyciem dwóch kluczy. Przykładową implementację
algorytmu kryptograficznego podobnego do RSA można znaleźć w tym
pakiecie w pliku tests/RSA.php.

Pakiet ma także wiele funkcji operujących na bitach, umożliwiających
działanie na zbiorach bitów dowolnej długości.

Ten pakiet jest dużo szybszy niż wbudowany w PHP BCMath. Implementuje
prawie wszystkie funkcje z rozszerzenia GMP, ale nie wymaga żadnych
dodatkowych bibliotek zewnętrznych.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{docs,tests,CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-big_int.spec,v $
Revision 1.17  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.15  2006/12/14 23:53:43  glen
- use new php extension related macros

Revision 1.14  2006/12/13 22:17:27  glen
- update to 1.0.7

Revision 1.13  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.12  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.11  2005/10/30 13:29:27  glen
- rel 4

Revision 1.10  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.9  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.8  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.7  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.6  2005/09/11 23:53:22  glen
- full conf.d support and unifications

Revision 1.5  2005/07/27 08:41:51  adamg
- updated to 1.0.6

Revision 1.4  2005/05/01 16:09:01  adamg
- updated to 1.0.4

Revision 1.3  2005/03/20 18:46:24  adamg
- updated to 1.0.1

Revision 1.2  2005/02/20 19:03:50  qboosh
- pl

Revision 1.1  2005/02/19 22:23:24  adamg
- new
